Subject: RE: How to send output to a printer in swi-prolog win95/NT

From: "Petr Kocmid" <[email-masked]>
Date: Fri, 25 Feb 2000 12:58:03 +0100

> From: Duc Tai Dam [mailto:[email-masked]]
> Subject: RE: How to send output to a printer in swi-prolog win95/NT
> From the references manual I can't seem to find a command that would get
> prolog to print the screen or print from a file.

try open/3:

open(lpt1,write,P),write(P,something),close(P).

change lpt1 to whatever your printer port is. If network printer, you should 
map it to local logic port name first, such as lpt3, using printer properties
control panel (or maybe prolog accepts a network name in stream open? 
cannot try since I have no local network on the box I am sitting at now).

I doubt there is a way of dumping the plwin console to printer.

Petr Kocmid
[email-masked]